Subject: 27.1; Spell check on remote file fails on windows.

From: Nick Longo <[email-masked]>
Date: Wed, 7 Sep 2022 14:32:52 +0000

When working on a remote file from windows, if I try to invoke spell check I get the

following error message:

"apply: Opening process input file: No such file or directory, /plinkx:..."

In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)

of 2020-08-21 built on CIRROCUMULUS

Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8

Repository branch: HEAD

Windowing system distributor 'Microsoft Corp.', version 10.0.19044

System Description: Microsoft Windows 10 Enterprise (v10.0.2009.19044.1889)

Recent messages:

Mark activated

Auto-saving...done

Mark set

[a-z..]:Set [SPC]:clear

Auto-saving...done

apply: Opening process input file: No such file or directory, /plinkx:homeoffice:/home/nmichalo/NUL

user-error: Minibuffer window is not active

Mark set

Auto-saving...done

Making completion list...

Configured using:

'configure --without-dbus --host=x86_64-w64-mingw32

--without-compress-install 'CFLAGS=-O2 -static''

Configured features:

XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2

HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:

  value of $LANG: ENU

  locale-coding-system: cp1252

Major mode: Messages

Minor modes in effect:

  shell-dirtrack-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  buffer-read-only: t

  line-number-mode: t

  transient-mark-mode: t

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug sendmail ispell etags fileloop xref

project cus-edit cus-start cus-load thingatpt help-fns radix-tree

magit-utils crm dash misearch multi-isearch mule-util help-mode

org-duration diary-lib diary-loaddefs cal-iso org-element avl-tree

generator ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum

url url-proxy url-privacy url-expand url-methods url-history mailcap shr

url-cookie url-domsuf url-util svg xml dom gnus-group gnus-undo

gnus-start gnus-cloud nnimap nnmail mail-source utf7 netrc nnoo

gnus-spec gnus-int gnus-range message rmc puny rfc822 mml mml-sec epa

epg epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231

mailabbrev gmm-utils mailheader gnus-win gnus nnheader gnus-util rmail

rmail-loaddefs rfc2047 rfc2045 ietf-drums text-property-search

mail-utils mm-util mail-prsvr wid-edit ol-docview doc-view jka-compr

image-mode exif ol-bibtex bibtex ol-bbdb ol-w3m matlab derived

matlab-compat pulse tramp-cache tramp-sh tramp tramp-loaddefs trampver

tramp-integration files-x tramp-compat shell parse-time iso8601

org-agenda org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro

org-footnote org-src ob-comint org-pcomplete pcomplete comint ansi-color

ring org-list org-faces org-entities noutline outline easy-mmode

org-version ob-emacs-lisp ob-core ob-eval org-table org-keys

org-loaddefs find-func cal-menu calendar cal-loaddefs ol org-compat

advice org-macs format-spec dired-aux time-date dired dired-loaddefs

edmacro kmacro finder-inf info package easymenu browse-url url-handlers

url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs

password-cache json subr-x map url-vars seq byte-opt gv bytecomp

byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify

ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp disp-table

term/w32-win w32-win w32-vars term/common-win tool-bar dnd fontset image

regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode

lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch

timer select scroll-bar mouse jit-lock font-lock syntax facemenu

font-core term/tty-colors frame minibuffer cl-generic cham georgian

utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean

japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european

ethiopic indian cyrillic chinese composite charscript charprop

case-table epa-hook jka-cmpr-hook help simple abbrev obarray

cl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule

custom widget hashtable-print-readable backquote threads w32notify w32

lcms2 multi-tty make-network-process emacs)

Memory information:

((conses 16 615935 74180)

(symbols 48 29425 3)

(strings 32 158997 11131)

(string-bytes 1 4565061)

(vectors 16 51783)

(vector-slots 8 1301838 209838)

(floats 8 251 304)

(intervals 56 21301 859)

(buffers 1000 32))